Bug 10045 - Remove a redundant inlined substitution of ACLs.
Remove a redundant inlined substitution of ACLs.
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2013-07-24 17:12 UTC by Alexander Werth
Modified: 2013-08-07 09:17 UTC (History)
0 users

See Also:

4.1 patch cherry-picked from master (1.62 KB, patch)
2013-07-29 23:57 UTC, Andrew Bartlett
ambi: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Werth 2013-07-24 17:12:56 UTC
A while ago we fixed the nfs4:mode simple and moved the substitution of
entries for nfs4 special id's into separate functions.
At this time I overlooked to remove the old inlined substitution of the
special entries.

The respective patch had been applied already to samba master.
I'm asking to apply the same fix to Samba 4.1 as well.

The patch removes the redundant inlined substitution.
The patch to be cherry-picked would be 9b2aa3
Comment 1 Andrew Bartlett 2013-07-29 23:57:01 UTC
Created attachment 9088 [details]
4.1 patch cherry-picked from master

Patch cherry-picked from master as requested, for 4-1-test.
Comment 2 Christian Ambach 2013-07-31 19:12:09 UTC
Hi Karolin,

please pick for 4.1
Comment 3 Karolin Seeger 2013-08-05 18:18:30 UTC
Pushed to autobuild-v4-1-test.
Comment 4 Karolin Seeger 2013-08-07 09:17:28 UTC
Pushed to v4-1-test.
Closing out bug report.